import ApiModule from './api-module';
import { FavoriteResponse, TypeOptions } from '../types/favorite';
import { FavoriteId, StatusResponse } from '../types/common';
export default class Favorite extends ApiModule {
    readonly add: {
        friend: (friendId: string) => Promise<FavoriteResponse>;
        world: (worldId: string) => Promise<FavoriteResponse>;
        avatar: (avatarId: string) => Promise<FavoriteResponse>;
    };
    getInfo(favoriteId: FavoriteId): Promise<FavoriteResponse>;
    list(type?: TypeOptions): Promise<FavoriteResponse[]>;
    delete(favoriteId: FavoriteId): Promise<StatusResponse>;
}
