import ApiModule from './api-module';
import { ModerationId, StatusResponse, UserId } from '../types/common';
import { ModerationInfo, SendModerationResponse } from '../types/moderation';
export default class Moderation extends ApiModule {
    /**
     * @deprecated
     */
    send(userId: UserId): Promise<SendModerationResponse>;
    block(userId: UserId): Promise<ModerationInfo>;
    unblock(userId: UserId): Promise<any>;
    private sendPlayer;
    mute(userId: UserId): Promise<ModerationInfo>;
    unmute(userId: UserId): Promise<ModerationInfo>;
    delete(userId: UserId, moderationId: ModerationId): Promise<StatusResponse>;
    clear(userId: UserId): Promise<StatusResponse>;
    getAgainstSelf(): Promise<ModerationInfo[]>;
    getSentlist(): Promise<ModerationInfo[]>;
}
