"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const api_module_1 = require("./api-module");
class Avatar extends api_module_1.default {
    async getById(avatarId) {
        const result = await this.getReq(`avatars/${avatarId}`);
        return result.data;
    }
    async choose(avatarId) {
        const result = await this.putReq(`avatars/${avatarId}/select`);
        return result.data;
    }
}
exports.default = Avatar;
